首页私人日誌IDEA中切换不同版本的JDK的详细教程(超管用)

IDEA中切换不同版本的JDK的详细教程(超管用)

admin 05-26 09:00 193次浏览

IDEA中切换不同版本的JDK的详细教程(超管用)

背景:

领导给我了个eclipse开发的代码,我导入到了IDEA中,一直拿JDK1.8进行的开发,完事之后发现服务器环境是JDK1.7,那就再IDE中直接换JDK重新编译呗,没想到一路坎坷。

**

请看到最后

**

网上的一般方法:

步骤一:

选择SDK,导入相应的JDK所在文件夹。

步骤二:

选择模块默认使用的jdk语言标准

步骤三:

导入jdk对应版本的原生依赖

步骤四:HrPXYduVQU

设置好SDK的默认值

如果还是不行,又http://出现了步骤五:

反正我是都搞了,而且还把jdk1.8给卸载了,然并卵,还是提示我无法编译。

最重要的步骤来了

如果通过上面五步还是没能搞定的话,可以试试这个。

把这个默认的选项去除掉试试,反正我这么做,之后就可以了,再有如果导入多模块,每个模块jdk版本不同,也要去除这个选项。

多模块的话,在这里指定好版本,去除下面第一个默认选项就行。

IDEA中切换不同版本的JDK的详细教程(超管用)
element-plus/element-ui跑马灯配备照片及图片自适应的方式 软件 app开发(打扑克外国人直播软件app开发)
相关内容